Mailinglist Archive: opensuse-updates (119 mails)

< Previous Next >
openSUSE-RU-2013:0473-1: rpmrebuild: Update to 2.9.
openSUSE Recommended Update: rpmrebuild: Update to 2.9.
______________________________________________________________________________

Announcement ID: openSUSE-RU-2013:0473-1
Rating: low
References:
Affected Products:
openSUSE 12.3
______________________________________________________________________________

An update that has 0 recommended fixes can now be installed.

Description:

This update fixes the following issues for rpmrebuild:
- Update to 2.9.
* Fix to work with rpm 4.10 - error: incorrect format:
invalid field width.
- Changes in 2.8.
* Can handle SUGGESTS/ENHANCES rpm tag.
* Add --cap-from-fs/cap-from-db options.
- Changes in 2.7.
* Patch from Andreas Kainz for package file checking.
* Add new unset_tag plugin.
* Fix -l / --list-plugin option.
* Add support of posix capability.
* Add new un_prelink plugin.
* Add RPMREBUILD_OPTS environment variable.
* Fix problem with different architecture (build 32bit on
64bits).
* Fix bad arch on gpg-pubkey packages.
- Use full URL as a source.
- Verify GPG signature.
- Package docs.
- Mark man pages as doc.


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.3:

zypper in -t patch openSUSE-2013-212

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.3 (noarch):

rpmrebuild-2.9-7.4.1


References:



< Previous Next >
This Thread
  • No further messages